---
title: Magnetometer.y
slug: Web/API/Magnetometer/y
tags:
  - API
  - Generic Sensor API
  - Magnetometer
  - Property
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - 'y'
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>y</code></strong> read-only property of the {{domxref("Magnetometer")}} interface returns a double precision integer containing the magnetic field around the device's y axis. </span></p><p>If a feature policy blocks use of a feature it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation instructions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>magnetometery</var> = <var>magnetometer</var>.x</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref('Number')}}.</p>

<h2 id="Example">Example</h2>

<p>The magnetometer is typically read in the {{domxref('Sensor.onreading')}} event callback. In the example below this occurs sixty times a second.</p>

<pre class="brush: js">let magSensor = new Magnetometer({frequency: 60});

magSensor.addEventListener('reading', e =&gt; {
  console.log("Magnetic field along the X-axis " + magSensor.x);
  console.log("Magnetic field along the Y-axis " + magSensor.y);
  console.log("Magnetic field along the Z-axis " + magSensor.z);
});
magSensor.start();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Defines sensors in general.</td>
  </tr>
  <tr>
   <td>{{SpecName('Magnetometer','#magnetometer-y','y')}}</td>
   <td>{{Spec2('Magnetometer')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Magnetometer.y")}}</p>
